Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management
Class DeploymentNotification

    java.lang.Object
      java.util.EventObject
          javax.management.Notification
              weblogic.management.DeploymentNotification

All Implemented Interfaces:
  Serializable

Deprecated. since WLS 9.0 . Use `WebLogicDeploymentManager`

    public final class DeploymentNotification

extends Notification

Defines a management notification of deployment events. Application deployment events are sent to associated ApplicationMBeans. The event types are as defined by the public fields. To receive deployment notifications, the client application must register a NotificationListener and optionally, NotificationFilter, with the ApplicationMBean that describes the application being deployed.

The notification message sent for application events are String objects of the form: phase.server.application. eg preparing.myserver.myapp. The notification message sent for module events are String objects of the form: server.app.module.transition.currstate.targetstate. eg servername.appname.modname.begin.unprepared.prepared

See Also:
  Serialized Form

Field Summary
`static String` | `ACTIVATED` Deprecated. The application successfully completed it activation phase.
`static String` | `ACTIVATING` Deprecated. The application is beginning its activation phase.
`static String` | `DEACTIVATED` Deprecated. The application successfully completed its deactivation phase.
`static String` | `DEACTIVATING` Deprecated. The application is beginning a deactivation phase.
`static String` | `DISTRIBUTED` Deprecated. Application files got copied to the target's staging area
`static String` | `DISTRIBUTING` Deprecated. Application files are being copied to the target's staging directory
`static String` | `FAILED` Deprecated. The last operation on the application failed and resulted in the application being placed in a failed state.
`static String` | `PREPARED` Deprecated. The application successfully completed its prepare phase.
`static String` | `PREPARING` Deprecated. The application is beginning a prepare phase.
`static String` | `STATE_ACTIVE` Deprecated. State indicating the application or module is active and running.
`static String` | `STATE_PREPARED` Deprecated. State indicating the application or module is ready for activation.
`static String` | `STATE_START` Deprecated. State indicating an application's files are not available on the target server.
`static String` | `STATE_UNPREPARED` Deprecated. State indicating the application or module is not ready for activation.
`static String` | `TRANSITION_BEGIN` Deprecated. Indicates a state transition is occurring for the current state to a target state.
`static String` | `TRANSITION_END` Deprecated. Indicates a state transition was successfully completed.
`static String` | `TRANSITION_FAILED` Deprecated. Indicates a state transition failed.
`static String` | `TYPE_APPLICATION` Deprecated. Notification type indicating this is an application level notification.
`static String` | `TYPE_MODULE` Deprecated. Notification type indicating this is a module level notification.
`static String` | `UNPREPARED` Deprecated. The application successfully completed its unprepare phase.
`static String` | `UNPREPARING` Deprecated. The application is beginning its unprepare phase.

Fields inherited from class javax.management.Notification
`source`

Method Summary
`String` | `getAppName()` Deprecated. Idenitifies the application involved in the notification.
`static long` | `getChangeNotificationCount()` Deprecated.
`String` | `getCurrentState()` Deprecated. Current state of module.
`String` | `getModuleName()` Deprecated. Module associated with a module based event (isModuleNotification() returns true).
`String` | `getPhase()` Deprecated. Identifies the phase on an application deployment task: DISTRIBUTING, DISTRIBUTED, PREPARING, PREPARED, ACTIVATING, ACTIVATED, UNPREPARING, or UNPREPARED.
`String` | `getServerName()` Deprecated. The server name where the deployment took place.
`String` | `getTargetState()` Deprecated. Target state of module or application.
`String` | `getTransition()` Deprecated. Transition associated with a deployment event.
`boolean` | `isAppNotification()` Deprecated. indicates that this notification is an application level notification, one that reports changes based on the application deployment status.
`boolean` | `isBeginTransition()` Deprecated. Inidicates whether this notification marks the beginning of a state transition
`boolean` | `isEndTransition()` Deprecated. Inidicates whether this notification marks the end of a state transition
`boolean` | `isFailedTransition()` Deprecated. Inidicates a failed transition
`boolean` | `isModuleNotification()` Deprecated. indicates that this is a modules level notification, one that reports changes based on modules deployment status.
`String` | `toString()` Deprecated.

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PREPARING

    public static final String PREPARING

  Deprecated.
  The application is beginning a prepare phase. This notification is sent just prior to the application modules being validated on a managed server by the relevant container subsystems. This is an application level notification.

  See Also:
    Constant Field Values

### PREPARED

    public static final String PREPARED

  Deprecated.
  The application successfully completed its prepare phase. This notification is sent after a successful validation of the application modules on a managed server by the relevant container subsystems. This is an application level notification.

  See Also:
    Constant Field Values

### ACTIVATING

    public static final String ACTIVATING

  Deprecated.
  The application is beginning its activation phase. This notification is sent just prior to the application modules being loaded on a managed server by the relevant container subsystems. This is an application level notification.

  See Also:
    Constant Field Values

### ACTIVATED

    public static final String ACTIVATED

  Deprecated.
  The application successfully completed it activation phase. This notification is sent after successfully activating all application modules on a managed server. This is an application level notification.

  See Also:
    Constant Field Values

### DEACTIVATING

    public static final String DEACTIVATING

  Deprecated.
  The application is beginning a deactivation phase. This notification is sent just prior to the application modules being deactivated (suspended) on a managed server by the relevant container subsystems. This is an application level notification.

  See Also:
    Constant Field Values

### DEACTIVATED

    public static final String DEACTIVATED

  Deprecated.
  The application successfully completed its deactivation phase. This notification is sent after successfully deactivating application modules on a managed server by the relevant container subsystems. This is an application level notification.

  See Also:
    Constant Field Values

### UNPREPARING

    public static final String UNPREPARING

  Deprecated.
  The application is beginning its unprepare phase. The module classes are being unloaded. This notification is sent just prior to the application modules being unloaded on a managed server by the relevant container subsystems. This is an application level notification.

  See Also:
    Constant Field Values

### UNPREPARED

    public static final String UNPREPARED

  Deprecated.
  The application successfully completed its unprepare phase. The application is inactive and its classes are not loaded. This notification is sent after successfully unpreparing application modules on a managed server by the relevant container subsystems. This is an application level notification.

  See Also:
    Constant Field Values

### FAILED

    public static final String FAILED

  Deprecated.
  The last operation on the application failed and resulted in the application being placed in a failed state. Current and target states are undefined for failed deployments. This is an application level notification.

  See Also:
    Constant Field Values

### DISTRIBUTING

    public static final String DISTRIBUTING

  Deprecated.
  Application files are being copied to the target's staging directory

  See Also:
    Constant Field Values

### DISTRIBUTED

    public static final String DISTRIBUTED

  Deprecated.
  Application files got copied to the target's staging area

  See Also:
    Constant Field Values

### TYPE_APPLICATION

    public static final String TYPE_APPLICATION

  Deprecated.
  Notification type indicating this is an application level notification. Application notifications are reported as transitions from one state to a new state. The states apply only to the task at hand, which may not include all modules. True state of an application is, in fact, a composite state. The possible states are defined by STATE_START, STATE_UNPREPARED, STATE_PREPARED, and STATE_ACTIVE.

  See Also:
    Constant Field Values

### TYPE_MODULE

    public static final String TYPE_MODULE

  Deprecated.
  Notification type indicating this is a module level notification. Module notifications are reported as transitions from one state to a new state. The possible states are defined by STATE_UNPREPARED, STATE_PREPARED, and STATE_ACTIVE.

  See Also:
    Constant Field Values

### TRANSITION_BEGIN

    public static final String TRANSITION_BEGIN

  Deprecated.
  Indicates a state transition is occurring for the current state to a target state.

  See Also:
    Constant Field Values

### TRANSITION_END

    public static final String TRANSITION_END

  Deprecated.
  Indicates a state transition was successfully completed. The new state is indicated by the target state.

  See Also:
    Constant Field Values

### TRANSITION_FAILED

    public static final String TRANSITION_FAILED

  Deprecated.
  Indicates a state transition failed. Current and target states are undefined.

  See Also:
    Constant Field Values

### STATE_UNPREPARED

    public static final String STATE_UNPREPARED

  Deprecated.
  State indicating the application or module is not ready for activation.

  See Also:
    Constant Field Values

### STATE_PREPARED

    public static final String STATE_PREPARED

  Deprecated.
  State indicating the application or module is ready for activation.

  See Also:
    Constant Field Values

### STATE_ACTIVE

    public static final String STATE_ACTIVE

  Deprecated.
  State indicating the application or module is active and running.

  See Also:
    Constant Field Values

### STATE_START

    public static final String STATE_START

  Deprecated.
  State indicating an application's files are not available on the target server. This state only applies to application notifications.

  See Also:
    Constant Field Values

Method Detail

### getChangeNotificationCount

    public static long getChangeNotificationCount()

  Deprecated.

### getPhase

    public String getPhase()

  Deprecated.
  Identifies the phase on an application deployment task: DISTRIBUTING, DISTRIBUTED, PREPARING, PREPARED, ACTIVATING, ACTIVATED, UNPREPARING, or UNPREPARED. Phase only applies to application level notifications.

### getAppName

    public String getAppName()

  Deprecated.
  Idenitifies the application involved in the notification.

### getServerName

    public String getServerName()

  Deprecated.
  The server name where the deployment took place.

### getModuleName

    public String getModuleName()

  Deprecated.
  Module associated with a module based event (isModuleNotification() returns true).

### getTransition

    public String getTransition()

  Deprecated.
  Transition associated with a deployment event. For modules the current and target states are accurate. For applications, the transition applies only to specific modules in the associated deployment request.

### isEndTransition

    public boolean isEndTransition()

  Deprecated.
  Inidicates whether this notification marks the end of a state transition

### isBeginTransition

    public boolean isBeginTransition()

  Deprecated.
  Inidicates whether this notification marks the beginning of a state transition

### isFailedTransition

    public boolean isFailedTransition()

  Deprecated.
  Inidicates a failed transition

### getCurrentState

    public String getCurrentState()

  Deprecated.
  Current state of module.

### getTargetState

    public String getTargetState()

  Deprecated.
  Target state of module or application.

### isAppNotification

    public boolean isAppNotification()

  Deprecated.
  indicates that this notification is an application level notification, one that reports changes based on the application deployment status.

### isModuleNotification

    public boolean isModuleNotification()

  Deprecated.
  indicates that this is a modules level notification, one that reports changes based on modules deployment status.

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Notification`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD